### Method

# Gio DBusMessage set_header

since: 2.26

#### Declaration

    void
    g_dbus_message_set_header (
      GDBusMessage* message,
      GDBusMessageHeaderField header_field,
      GVariant* value
    )

#### Description

Sets a header field on `message`.

If `value` is floating, `message` assumes ownership of `value`.

Available since: 2.26

#### Parameters

`header_field`

  Type: `GDBusMessageHeaderField`

  A 8-bit unsigned integer (typically a value from the `GDBusMessageHeaderField` enumeration)

`value`

  Type: `GVariant`

  A `GVariant` to set the header field or `NULL` to clear the header field.

  The argument can be `NULL`.
  The data is owned by the caller of the method.